package notification

type NotifyStatus int8

func (n NotifyStatus) ToString() string {
	status, ok := statusMap[n]
	if !ok {
		return "unknown"
	}
	
	return status
}

const (
	UNREAD   NotifyStatus = 1
	READ     NotifyStatus = 2
	ARCHIVED NotifyStatus = 3

	UNREADStr   = "UNREAD"
	READStr     = "READ"
	ARCHIVEDStr = "ARCHIVED"
)

var statusMap = map[NotifyStatus]string{
	UNREAD:   UNREADStr,
	READ:     READStr,
	ARCHIVED: ARCHIVEDStr,
}
